export type GlobalStoreJSON = {
    store: Record<string, Record<string, any>>;
    initializedModules: string[];
};
export declare class GlobalStore {
    private store;
    private initializedModules;
    get(moduleId: string, varName: string): any;
    set(moduleId: string, varName: string, value: any): void;
    isInitialized(moduleId: string): boolean;
    markInitialized(moduleId: string): void;
    toJSON(): GlobalStoreJSON;
    getTokenStats(): any;
    restoreTokenStats(stats: any): void;
    static readonly INTERNAL_MODULE = "__internal";
    static withTokenStats(): GlobalStore;
    static tokenStatsFromJSON(json: GlobalStoreJSON): {
        totalTokens: number;
        totalCost: number;
    };
    static fromJSON(json: GlobalStoreJSON): GlobalStore;
}
